Name:           gnome-gmail-notifier
Version:        0.9.4
Release:        5%{?dist}
Summary:        A simple application that monitors Gmail inboxes

Group:          Applications/Internet
License:        GPLv2+
URL:            http://notifier.geekysuavo.org/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsoup22-devel desktop-file-utils perl(XML::Parser)
BuildRequires:  libnotify-devel libgnome-devel libgnomeui-devel gtk2-devel
BuildRequires:  gstreamer-devel gnome-keyring-devel gstreamer-plugins-good-devel

%description
The GNOME Gmail Notifier is a project designed to provide a simple, easy-
to-use application that monitors users' gmail inbox(es), and to deliver
the appropriate notifications when new mail exists.


%prep
%setup -q
sed -i.icon -e "s/Icon=gnome-gmail-notifier.svg/Icon=gnome-gmail-notifier/" data/%{name}.desktop.in


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
desktop-file-install --delete-original --dir=%{buildroot}%{_datadir}/applications data/%{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 18 2008 Ian Weller <ianweller@gmail.com> 0.9.4-3
- Remove gettext BR

* Sun Nov 16 2008 Ian Weller <ianweller@gmail.com> 0.9.4-2
- Patch desktop file to correctly define the application's icon
- Fix desktop file installation
- Keep timestamps on installed files
- Change URL to actual URL instead of Google Code project page

* Sat Nov 15 2008 Ian Weller <ianweller@gmail.com> 0.9.4-1
- Initial package build.
